Bug 1454783 (CVE-2017-3163) - CVE-2017-3163 solr: Directory traversal via Index Replication HTTP API
Summary: CVE-2017-3163 solr: Directory traversal via Index Replication HTTP API
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1461052 1461054
Blocks: 1454784
TreeView+ depends on / blocked
 
Reported: 2017-05-23 12:58 UTC by Andrej Nemec
Modified: 2019-09-29 14:13 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1447 None None None 2018-05-14 20:15:53 UTC
Red Hat Product Errata RHSA-2018:1448 None None None 2018-05-14 20:36:11 UTC
Red Hat Product Errata RHSA-2018:1449 None None None 2018-05-14 20:38:41 UTC
Red Hat Product Errata RHSA-2018:1450 None None None 2018-05-14 20:42:31 UTC
Red Hat Product Errata RHSA-2018:1451 None None None 2018-05-14 20:50:41 UTC

Description Andrej Nemec 2017-05-23 12:58:27 UTC
When using the Index Replication feature, Solr nodes can pull index files from
a master/leader node using an HTTP API which accepts a file name. However,
Solr did not validate the file name, hence it was possible to craft a special
request involving path traversal, leaving any file readable to the Solr server
process exposed. Solr servers protected and restricted by firewall rules
and/or authentication would not be at risk since only trusted clients and users
would gain direct HTTP access.

References:

http://lucene.472066.n3.nabble.com/SECURITY-CVE-2017-3163-Apache-Solr-ReplicationHandler-path-traversal-attack-td4320619.html

Upstream issue:

https://issues.apache.org/jira/browse/SOLR-10031

Comment 2 errata-xmlrpc 2018-05-14 20:15:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:1447 https://access.redhat.com/errata/RHSA-2018:1447

Comment 3 errata-xmlrpc 2018-05-14 20:35:59 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2018:1448 https://access.redhat.com/errata/RHSA-2018:1448

Comment 4 errata-xmlrpc 2018-05-14 20:38:30 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1449 https://access.redhat.com/errata/RHSA-2018:1449

Comment 5 errata-xmlrpc 2018-05-14 20:42:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2018:1450 https://access.redhat.com/errata/RHSA-2018:1450

Comment 6 errata-xmlrpc 2018-05-14 20:50:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1451 https://access.redhat.com/errata/RHSA-2018:1451

Comment 7 Joshua Padman 2019-05-15 22:45:02 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Data Grid 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.


Note You need to log in before you can comment on or make changes to this bug.